Subject: ~m

From: [email-masked] (Fred Clare)
Date: Fri, 29 May 92 17:48:50 MDT

> I have a question about gflash. I need to include metacode
> from one flash buffer in another, i.e. nested flash buffers:
> 
> call gflas1(3)
> ...[make metacode for ib=3]
> call gflash2(3)
> ...
> call gflas1(1)
> ...[start metacode for ib=1]
> call gflas3(3)	! want to include buffer 3 in buffer 1 instructions
>    [crash]
> ...[finish metacode for ib=1]
> call gflash2(1)
> ...
> do i=1,nframes
>   call gflas3(1)
>   call frame
> enddo
> 
> At [crash] it says I tried to call gflas3 without calling gflas2:
> 
>  ERROR    7 IN  GFLAS3 -- GFLAS3 CALLED WITHOUT CALLING GFLAS2 OR GFLAS4                                                        
> I guess I should include the gflas3(3) in the do loop along with
> gflas3(1), but its not very convenient, and I was wondering if
> this could work some other way...
> I have tried calling gflas4(3) before gflas3(3), but get:
> 
>  ERROR   14 IN  GFLAS4 -- CANNOT BE CALLED WHILE GFLAS1 IS STILL OPEN                                                           
> Is there a way around this?

  No, there is no way around this.  GKS does not allow for a segment copy
  (which is what GFLAS3 calls and GFLAS4 as well) while another segment is
  being created.  This is just a fact of life I'm afraid.

  Fred